aboutsummaryrefslogtreecommitdiff
path: root/others
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:51:43 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:51:43 +0000
commit65d91a2968762e5a75b14364bf35a01d79431b4e (patch)
treed3284a396909d19817ef9552f47eb0f46aafba93 /others
parent6b58cd82155f6f588fcdfd808f493cde8a849962 (diff)
downloadslackbuilds-65d91a2968762e5a75b14364bf35a01d79431b4e.tar.gz
slackbuilds-65d91a2968762e5a75b14364bf35a01d79431b4e.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@688 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'others')
-rwxr-xr-xothers/sympa/sympa.SlackBuild155
1 files changed, 155 insertions, 0 deletions
diff --git a/others/sympa/sympa.SlackBuild b/others/sympa/sympa.SlackBuild
new file mode 100755
index 00000000..4f6214f6
--- /dev/null
+++ b/others/sympa/sympa.SlackBuild
@@ -0,0 +1,155 @@
+#!/bin/bash
+#
+# slackbuild script for sympa
+# by rhatto at riseup.net
+#
+
+cat << EOECHO
+You'll need at least the following perl modules to build Sympa:
+
+ cpan2tgz --no-recursive Compress::Zlib Archive::Zip Sub::Uplevel Test::Builder::Tester Test::Exception \\
+ Module::Build Array::Compare Tree::DAG_Node Test::Warn Test::Simple Crypt::CipherSaber DBD::mysql \\
+ Digest::MD5 File::Spec IO::Scalar IO::Stringy URI HTML::Tagset HTML::Parser LWP Locale::TextDomain \\
+ Mail::Field Mail::Header Mail::Internet MIME::Tools Mail::Internet Regexp::Common File::HomeDir AppConfig \\
+ Template XML::NamespaceSupport XML::SAX XML::LibXML::Common XML::LibXML Net::SSLeay IO::Socket \\
+ Convert::ASN1 Digest::SHA1 Digest::HMAC_MD5 Authen::SASL Digest::MD5 Net::LDAP SOAP::Lite FCGI
+
+And the following packages:
+
+ MHonarc
+ mod_fastcgi
+
+EOECHO
+
+if [ "$INTERACT" != "no" ]; then
+ echo Type ENTER you you have those installed, otherwise hit Ctrl-C and install them.
+ read crap
+else
+ echo sleeping 3 seconds...
+ sleep 3
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="sympa"
+VERSION=${VERSION:=5.2.1}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if ! grep -qe "^$PACKAGE:" /etc/passwd || ! grep -qe "^$PACKAGE:" /etc/group; then
+ echo "WARNING: user and/or group $PACKAGE does not exist"
+ echo "Create it manually with \"groupadd $PACKAGE ; useradd $PACKAGE -g $PACKAGE\" and run this script again."
+ exit 1
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://www.sympa.org/distribution/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+./configure --with-initdir=/etc/rc.d/ --prefix=/usr/local/sympa --with-confdir=/usr/local/sympa/conf \
+ --with-etcdir=/usr/local/sympa/etc
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install | tee $TMP/package-$PACKAGE/install.log
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+mv usr/local/sympa/conf/sympa.conf usr/local/sympa/conf/sympa.conf.new
+mv usr/local/sympa/conf/wwsympa.conf usr/local/sympa/conf/wwsympa.conf.new
+mv usr/local/sympa/bin/etc/create_list.conf usr/local/sympa/bin/etc/create_list.conf.new
+mv usr/local/sympa/bin/etc/topics.conf usr/local/sympa/bin/etc/topics.conf.new
+
+mkdir -p var/mail/sympa
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+sympa: sympa (Sympa is a rich open source mailing list software)
+sympa:
+sympa: Sympa is a scalable and highly customizable mailing list software.
+sympa: It can cope with big lists (780,000 subscribers), and it comes with
+sympa: a complete Web interface for both the user and the administrator.
+sympa: It is internationalized. Sites can customize Web and mail templates,
+sympa: authentication backends, and authorization scenarios. Dynamic mailing
+sympa: lists can use multiple backends (LDAP, SQL, files, lists, or others).
+sympa: Sympa is the only S/MIME enabled mailing list software, and it provides
+sympa: both authentication and encryption.
+sympa:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS COPYING ChangeLog INSTALL KNOWNBUGS NEWS README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+# install script
+echo '( chroot . /sbin/ldconfig )' > install/doinst.sh
+echo '( if ! grep -qe "^sympa:" etc/group; then echo creating group sympa... ; chroot . /usr/sbin/groupadd sympa; fi )' >> install/doinst.sh
+echo '( if ! grep -qe "^sympa:" etc/passwd; then echo creating user sympa... ; chroot . /usr/sbin/useradd sympa -g sympa; fi )' >> install/doinst.sh
+echo '( if [ ! -f "usr/local/sympa/conf/sympa.conf" ]; then mv usr/local/sympa/conf/sympa.conf.new usr/local/sympa/conf/sympa.conf ; fi )' >> install/doinst.sh
+echo '( if [ ! -f "usr/local/sympa/conf/wwsympa.conf" ]; then mv usr/local/sympa/conf/wwsympa.conf.new usr/local/sympa/conf/wwsympa.conf ; fi )' >> install/doinst.sh
+echo '( if [ ! -f "usr/local/sympa/bin/etc/create_list.conf" ]; then mv usr/local/sympa/bin/etc/create_list.conf.new usr/local/sympa/bin/etc/create_list.conf ; fi )' >> install/doinst.sh
+echo '( if [ ! -f "usr/local/sympa/bin/etc/topics.conf" ]; then mv usr/local/sympa/bin/etc/topics.conf.new usr/local/sympa/bin/etc/topics.conf ; fi )' >> install/doinst.sh
+echo '( chroot . /usr/bin/chown -R sympa.sympa /usr/local/sympa /var/mail/sympa )' >> install/doinst.sh
+echo '( touch /var/log/sympa)' >> install/doinst.sh
+# echo '( chmod +s /usr/local/sympa/bin/queue )' >> install/doinst.sh
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+echo "Package creation complete. PLEASE check if everything was ok."
+echo "Log files at $TMP/package-$PACKAGE/install.log"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+